# pip should only run if there is a virtualenv currently activated 
export PIP_REQUIRE_VIRTUALENV=true

# Python virtualenv
SRC_DIRECTORY="/Volumes/malloc-dev/virtenvs"
alias venv='virtualenv'
alias venv3='virtualenv -p python3'
alias venv.cd="cd $SRC_DIRECTORY"
venv.a () {
  source $SRC_DIRECTORY/$1/bin/activate;
}
venv.ls () {
  ll $SRC_DIRECTORY
}

# python interpreter w/auto complete
# pip install bpython
bbpython () {
	source $SRC_DIRECTORY/bpython/bin/activate;
	bpython
}

# django
# alias djm="python ./manage.py"
# alias dja="django-admin.py"

# virtualenv
# export WORKON_HOME=$HOME/dev/virtenvs
# source /usr/local/bin/virtualenvwrapper.sh
# virtualenv aliases
# http://blog.doughellmann.com/2010/01/virtualenvwrapper-tips-and-tricks.html
# alias v='workon'
# alias v.de='deactivate'
# alias v.mk='mkvirtualenv --no-site-packages'
# alias v.mkpkg='mkvirtualenv'
# alias v.rm='rmvirtualenv'
# alias v.add='add2virtualenv'
# alias v.cd='cdvirtualenv'
# alias v.cdpkg='cdsitepackages'
# alias v.ls='lssitepackages'
